#ifndef _WMAIN_H_
#define _WMAIN_H_

#include <stdio.h>

#include <qwidget.h>
#include <qpixmap.h>
#include <qlined.h>
#include <qlabel.h>
#include <qpushbt.h>

#include "types.h"
#include "newton1.h"

#define numEdits 8

class WMain : public QWidget
{
  Q_OBJECT
public:
  WMain( QWidget* parent=0, const char* name=0 );
  ~WMain();

  Newton1 *m_inm1;

public slots:
  void applyChanges();
  void setDirty();
  void busy();
  void prepared();
  void setCoordinates( double f1, double f2 );
  void setDomain( double x0, double y0, double x1, double y1 ); 
  void renewLabel();
  void quit();
  void zoomIn();
  void zoomOut();
  void moveUp();
  void moveDown();
  void moveRight();
  void moveLeft();
  void moveDomain( Float dx, Float dy );
  void equalizeAxesX();
  void equalizeAxesY();

signals:
  void setupChanged();

private:
  FILE *m_file;

  Int32 m_dirty;
  Int32 m_rendering;
  Int32 m_newDomain;
  QLabel *m_labName;
  QLabel *m_labDirty;
  QLineEdit *m_led[numEdits];
  QPushButton *m_butApply;
  QPushButton *m_butQuit;
};

#endif
